Opened 4 years ago

Closed 4 years ago

#19833 closed enhancement (fixed)

Replace pexpect spawnpty patch by upstream version

Reported by: jdemeyer Owned by:
Priority: trivial Milestone: sage-7.0
Component: packages: standard Keywords: pexpect
Cc: Merged in:
Authors: Jeroen Demeyer Reviewers: Travis Scrimshaw
Report Upstream: Fixed upstream, but not in a stable release. Work issues:
Branch: 0b46c28 (Commits) Commit: 0b46c28c040ab9d74a1864076cfe1bbacefb4d77
Dependencies: Stopgaps:

Description (last modified by jdemeyer)

Upstream pexpect accepted a slightly modified version of the Sage patch. Change the Sage patch to upstream's version.

We also add a doctest to SageSpawn._spawnpty()

Change History (6)

comment:1 Changed 4 years ago by jdemeyer

  • Description modified (diff)

comment:2 Changed 4 years ago by jdemeyer

  • Branch set to u/jdemeyer/replace_pexpect_spawnpty_patch_by_upstream_version

comment:3 Changed 4 years ago by jdemeyer

  • Commit set to 0b46c28c040ab9d74a1864076cfe1bbacefb4d77
  • Status changed from new to needs_review

New commits:

0b46c28Replace spawnpty.patch by upstream version

comment:4 Changed 4 years ago by jdemeyer

  • Report Upstream changed from N/A to Fixed upstream, but not in a stable release.

comment:5 Changed 4 years ago by tscrim

  • Reviewers set to Travis Scrimshaw
  • Status changed from needs_review to positive_review

LGTM.

comment:6 Changed 4 years ago by vbraun

  • Branch changed from u/jdemeyer/replace_pexpect_spawnpty_patch_by_upstream_version to 0b46c28c040ab9d74a1864076cfe1bbacefb4d77
  • Resolution set to fixed
  • Status changed from positive_review to closed
Note: See TracTickets for help on using tickets.